Package com.orbbec.obsensor

## Class DeviceList

- java.lang.Object
- - com.orbbec.obsensor.LobClass
  - - com.orbbec.obsensor.DeviceList

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class DeviceList
    extends LobClass

Device list

### Field Summary

### Fields inherited from class com.orbbec.obsensor.LobClass

`handle, owner`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `close()` resource release
`Device` `getDevice​(int index)` Get the device object according to the specified index in the device list
`Device` `getDeviceBySerialNumber​(java.lang.String serialNum)` Create a device, if the device has been acquired and created elsewhere, repeated acquisition will return an error
`Device` `getDeviceByUid​(java.lang.String uid)` Create a device, if the device has been acquired and created elsewhere, repeated acquisition will return an error
`int` `getDeviceCount()` Get the number of devices
`java.lang.String` `getDeviceSerialNumber​(int index)` Get the device serial number according to the specified index in the device list
`java.lang.String` `getName​(int index)` Deprecated.
`int` `getPid​(int index)` Obtain the product identification number of the device according to the specified index in the device list
`java.lang.String` `getUid​(int index)` Obtain the unique ID of the device according to the specified index in the device list
`int` `getVid​(int index)` Obtain the identification number of the company which the device belongs according to the specified index in the device list

### Methods inherited from class com.orbbec.obsensor.LobClass

`getHandle, throwInitializeException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getDeviceCount

    public int getDeviceCount()

Get the number of devices

Returns:
  the number of devices

#### getName

    @Deprecated
    public java.lang.String getName​(int index)

Deprecated.
Get the device serial number according to the specified index in the device list

Parameters:
  `index` - index value
Returns:
  devise serial number

#### getPid

    public int getPid​(int index)

Obtain the product identification number of the device according to the specified index in the device list

Parameters:
  `index` - index value
Returns:
  product identification number

#### getVid

    public int getVid​(int index)

Obtain the identification number of the company which the device belongs according to the specified index in the device list

Parameters:
  `index` - index value
Returns:
  company identification number

#### getUid

    public java.lang.String getUid​(int index)

Obtain the unique ID of the device according to the specified index in the device list

Parameters:
  `index` - index value
Returns:
  Device Unique ID

#### getDeviceSerialNumber

    public java.lang.String getDeviceSerialNumber​(int index)

Get the device serial number according to the specified index in the device list

Parameters:
  `index` - index value
Returns:
  devise serial number

#### getDevice

    public Device getDevice​(int index)

Get the device object according to the specified index in the device list

Parameters:
  `index` - index value
Returns:
  designated device

#### getDeviceBySerialNumber

    public Device getDeviceBySerialNumber​(java.lang.String serialNum)

Create a device, if the device has been acquired and created elsewhere, repeated acquisition will return an error

Parameters:
  `serialNum` - The serial number of the device to be created
Returns:
  Returns the created device `Device`

#### getDeviceByUid

    public Device getDeviceByUid​(java.lang.String uid)

Create a device, if the device has been acquired and created elsewhere, repeated acquisition will return an error

Parameters:
  `uid` - The uid of the device to create
Returns:
  Returns the created device `Device`

#### close

    public void close()

resource release